%define major		2
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	A flexible API to implement spell checking in a GTK+ application
Name:		gspell
Version:	1.12.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Development/Other
Url:		https://wiki.gnome.org/Projects/gspell
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64enchant-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64pango1.0-devel 
BuildRequires: vala-tools
BuildRequires: readline-devel
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gettext-devel

%description
gspell provides a flexible API to implement spell checking in a GTK+
application.


%package -n %libname
Group:		System/Libraries
Summary:	A flexible API to implement spell checking in a GTK+ application
Requires:	%name

%description -n %libname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package -n %develname
Summary:	A flexible API to implement spell checking in a GTK+ application
Group:		Development/Libraries
Requires:	%libname = %version-%release
Provides:	%name-devel = %version-%release
Provides:	lib%name-devel = %version-%release

%description -n %develname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-1

%files -f %{name}-1.lang
%doc README AUTHORS

%files -n %libname 
%{_libdir}/libgspell-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gspell-%{api}.typelib


%files -n %develname
%{_bindir}/gspell-app1
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/gtk-doc/html/%{name}-1.0
%{_datadir}/gir-1.0/Gspell-%{api}.gir
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/%{name}-%{api}.vapi

%changelog
* Sat Oct 01 2022 tex - 1.12.0-1pclos2022
- new version

* Mon Sep 12 2022 tex - 1.9.1-3pclos2022
- rebuild against updates

* Thu Sep 16 2021 tex - 1.9.1-2pclos2021
- rebuild against updates

* Mon Mar 01 2021 tex - 1.9.1-1pclos2021
- new version

* Mon Sep 14 2020 tex - 1.8.4-2pclos2020
- rebuild against updates

* Sat Sep 05 2020 tex - 1.8.4-1pclos2020
- new version

* Sat Jan 25 2020 tex - 1.8.3-1pclos2020
- new version

* Fri Sep 06 2019 tex - 1.8.2-1pclos2019
- new version

* Sat Feb 16 2019 tex - 1.8.1-1pclos2019
- new

* Mon Oct 02 2017 bb2 <bb2> - 1.4.2-1pclos2017
- new version

* Sun Jan 08 2017 bb <bb> 1.2.2-1plos2017
- import for new corebird

